IE7 and IE8 Compatibility Modes Deprecation with the Feb '21 Release and JQuery Upgrade for Course Launching

During the August '20 Release, Cornerstone upgraded jQuery from v1.7 to v3.4.1 to enhance security and resolve known vulnerabilities. As part of this enhancement, Compatibility Mode for IE7 and IE8 is being deprecated.

  • With the October 2020 release, jQuery will be automatically upgraded to v3.4.1 in Stage and Pilot portals. Options for IE7 and IE8 will be removed.
  • With the February 2021 release, jQuery will be automatically upgraded to v3.4.1 in Production portals. The functionality will be deprecated completely, meaning that courses with IE7 and IE8 Compatibility Mode will be migrated to a “None" value.

After the upgrade has been activated:

  • The jQuery version will be upgraded to v3.4.1 for course launching
  • IE7 and IE8 options for the Compatibility Mode field in the Course Catalog and on the Content Launching Preferences page will be removed
  • Courses that are associated with IE7 or IE8 compatibility mode are migrated to compatibility mode value of "None"
  • Compatibility mode for new courses will be set to "None" by default

Assessing Your Impact

For information about assessing the impact of this upgrade on your system, see: Potential Impact Assessment

For additional help, please see the following resources:

Use Case

Iesha is a Learning administrator who is responsible for managing content for her organization. To ensure the company's portal is utilizing the latest security protection, Iesha wants to upgrade the jQuery library for course launching. Upgrading the jQuery library from v1.7 to v3.4.1 ensures the portal is not subject to a known security hazard. Iesha also wants to test courses that are using legacy jQuery library and to assess what will be the impact of the company's course catalog so he could contact his content provider for issues that may pop up due to the upgrade and the deprecation of Compatibility Mode.

Considerations

What courses may be impacted by the jQuery upgrade to v3.4.1?

  • Courses with IE7 or IE8 Compatibility
  • Courses with an empty value, only if the default Content Launching preference is set to IE7 or IE8 compatibility mode

Implementation

The Activate jQuery v3.4.1 for Course Launching option is automatically available on the Learning Feature Activation Preferences page in all portals using the Learning module. See Feature Activation Preferences - Upgrade jQuery.

Permissions

The following existing permission applies to this functionality:

PERMISSION NAME PERMISSION DESCRIPTION CATEGORY
Learning Features Self Activation Grants access to the Feature Activation Preferences page, where an administrator can activate new features associated with Learning, Connect and Extended Enterprise. Learning - Administration